Bug 435090 - Review Request: Cython - This is a development version of Pyrex, a language for writing Python extension modules.
Review Request: Cython - This is a development version of Pyrex, a language f...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: José Matos
Fedora Extras Quality Assurance
:
: 450455 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-27 05:41 EST by Neal Becker
Modified: 2011-04-24 17:59 EDT (History)
5 users (show)

See Also:
Fixed In Version: Cython-0.14.1-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-15 08:27:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jamatos: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)
Spec file patch with some fixes (1.33 KB, patch)
2008-04-14 10:07 EDT, José Matos
no flags Details | Diff

  None (edit)
Description Neal Becker 2008-02-27 05:41:28 EST
Spec URL: http://nbecker.dyndns.org:8080/RPM/Cython.spec
SRPM URL: http://nbecker.dyndns.org:8080/RPM/Cython-0.9.6.12-1.fc8.src.rpm
Description: This is a development version of Pyrex, a language
for writing Python extension modules.

rpmlint - 2 small warnings
mock - pass
Comment 1 José Matos 2008-04-02 08:15:01 EDT
Neal I would like to review the package but I can't access your site because
it is in a port blocked by the firewall here. Could you please place elsewhere
with fedorapeople.org being the logical candidate. :-)
Comment 2 Neal Becker 2008-04-06 19:35:16 EDT
OK, I copied to http://nbecker.fedorapeople.org/
Comment 3 José Matos 2008-04-14 07:06:24 EDT
Taking the review.
Comment 4 José Matos 2008-04-14 07:52:34 EDT
Needs work:
* Source Cython-0.9.6.13.1.tar.gz is different from upstream
  (wiki: QAChecklist item 2) using md5sum I get:
b84818d4cfcec68e6dfb71187e9f0b4b  upstream
3b7bde3b0869b3624cd80fe5cde4e2ed  srpm

* rpmlint of source RPM:
Cython.src: W: mixed-use-of-spaces-and-tabs (spaces: line 22, tab: line 1)
Cython.src: W: invalid-license PSFL

* rpmlint of Cython:
Cython.noarch: W: file-not-utf8
/usr/share/doc/Cython-0.9.6.13.1/CHANGES_pyrex.txt
Cython.noarch: W: invalid-license PSFL

The license should be Python. The mixed use of spaces and tabs is easy to fix
and the other warning is just that. :-)

* %files
According to http://fedoraproject.org/wiki/Packaging/Python

/!\ You shouldn't rely on INSTALLED_FILES, as that will not list directories,
which will need to be specified in the %files section as well. Using globs in
the %files section is safer.

* %description
You refer Doc/About.html but that file is not packaged.
Comment 5 Neal Becker 2008-04-14 08:20:58 EDT
Please see
http://nbecker.fedorapeople.org/Cython-0.9.6.13.1-2.fc8.src.rpm
Comment 6 José Matos 2008-04-14 10:07:15 EDT
Created attachment 302341 [details]
Spec file patch with some fixes

+* Mon Apr 14 2008 José Matos <jamatos[AT]fc.up.pt> - 0.9.6.13.1-3
+- Remove remaining --record.
+- Add more documentation (Doc and Tools).
+- Add correct entry for egg-info (F9+).
Comment 7 José Matos 2008-04-14 10:21:18 EDT
In this I thought it was easier to send a patch. :-)

There was a spurious --record left in %install, I have rename the lib dir
location following the usual name (it is easier to follow).

I have added more documentation, IMHO there is no reason not to include the
whole Doc directory. For Tools it would be nice to have the cython-mode.el as
a sub-package but clearly it is not required. :-)

Regarding the egg-info I see that you still using F-8. :-)
Comment 8 Neal Becker 2008-04-14 11:08:44 EDT
Great!  Please see:
http://nbecker.fedorapeople.org/Cython-0.9.6.13.1-3.fc8.src.rpm
(same as your patch)
Comment 9 José Matos 2008-04-14 11:37:29 EDT
Review for release 3.fc9:
* RPM name is OK
* Source Cython-0.9.6.13.1.tar.gz is the same as upstream
* This is the latest version
* Builds fine in mock
* rpmlint looks OK
* File list looks OK
* License is OK

(31 checks have been run)

APPROVED
Comment 10 Neal Becker 2008-04-14 12:53:37 EDT
New Package CVS Request
=======================
Package Name: Cython
Short Description: A language for writing Python extension modules
Owners: nbecker
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 11 Kevin Fenzi 2008-04-14 15:41:50 EDT
cvs done.
Comment 12 José Matos 2008-06-08 14:34:08 EDT
*** Bug 450455 has been marked as a duplicate of this bug. ***
Comment 13 Steve Traylen 2011-04-08 12:57:41 EDT
Package Change Request
======================
Package Name: Cython
New Branches: el5 el6
Owners: stevetraylen


Following the comments in #612776

I'd like to create EPEL branches.

Steve.
Comment 14 Steve Traylen 2011-04-08 12:58:34 EDT
To add a hyperlink Bug 612776
Comment 15 Neal Becker 2011-04-08 13:06:48 EDT
Fine with me.  I don't have resources to maintain them though - it's all yours.
Comment 16 Jason Tibbitts 2011-04-08 15:41:09 EDT
Git done (by process-git-requests).
Comment 17 Fedora Update System 2011-04-08 17:25:26 EDT
Cython-0.14.1-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/Cython-0.14.1-3.el5
Comment 18 Fedora Update System 2011-04-08 17:25:39 EDT
Cython-0.14.1-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/Cython-0.14.1-3.el6
Comment 19 Fedora Update System 2011-04-24 17:58:24 EDT
Cython-0.14.1-3.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 20 Fedora Update System 2011-04-24 17:59:01 EDT
Cython-0.14.1-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.